package org.brynhild.graduation.device.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties(prefix = "org.brynhild.graduation.device.mqtt")
@Data
public class MQTTConfig {
    private String listen;
    private String send;


    private String broker;
    private String clientId;

    private String username;
    private String password;
    private Integer qos;
}
