package org.brynhild.graduation.device.controller;

import jakarta.annotation.PostConstruct;
import org.brynhild.graduation.common.parser.LogGenerator;
import org.brynhild.graduation.common.parser.SpecificationGenerator;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.io.File;

@RestController
@RequestMapping("/test")
public class TestController {

    @PostConstruct
    public void init() {
        LogGenerator.generate(new File("logGenerate.groovy"), "org.brynhild.graduation.transfer.device");
        SpecificationGenerator.generate(new File("specificationGenerate.groovy"), "org.brynhild.graduation.transfer.device");
    }
}
