package org.brynhild.graduation.device.service

import org.brynhild.graduation.transfer.device.bo.AuthenticRequest
import org.brynhild.graduation.transfer.device.bo.HeartBeatRequest
import org.brynhild.graduation.transfer.device.bo.RegisterRequest
import org.brynhild.graduation.transfer.device.bo.RegisterResponse

interface IDeviceService {

    int authentic(AuthenticRequest authenticRequest)

    int heartbeat(HeartBeatRequest heartBeatRequest)

    RegisterResponse register(RegisterRequest registerRequest)
}