package org.brynhild.graduation.file.service;

import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;
import org.brynhild.graduation.common.transfer.dto.Result;
import org.springframework.http.HttpEntity;
import org.springframework.web.multipart.MultipartFile;


public interface IFileService {
    Result fileUpload(MultipartFile[] files, HttpServletRequest request);

    HttpEntity<byte[]> fileDownloadByName(String name, HttpServletResponse response);

    HttpEntity<byte[]> fileDownloadById(Long id, HttpServletResponse response);

    Result fileInfo(Long id);

    Result singleFileUpload(MultipartFile file, HttpServletRequest request);

    Result singleFileUploadSync(MultipartFile file, HttpServletRequest request);
}
