package org.brynhild.graduation.persistence.timetable.repository

import org.brynhild.graduation.persistence.common.repository.LogicDeleteRepository
import org.brynhild.graduation.persistence.timetable.entity.TimeTable
import org.springframework.stereotype.Repository

@Repository
interface TimeTableRepository extends LogicDeleteRepository<TimeTable> {
    List<TimeTable> findTimeTableByClazzLike(String clazz);
}