package org.brynhild.graduation.persistence.user.repository

import org.brynhild.graduation.persistence.common.repository.LogicDeleteRepository
import org.brynhild.graduation.persistence.user.entity.User
import org.springframework.stereotype.Repository

@Repository
interface UserRepository extends LogicDeleteRepository<User> {

    User findUserByUsernameOrNo(String username, String no)

    User findUserByUsernameAndEmail(String username, String email)

    User findUserByUsername(String username)

    List<User> findUserByDepartmentId(Long id)

}