package org.brynhild.graduation.common.parser.convertor;

import org.brynhild.graduation.common.tag.TypeConvertor;

@TypeConvertor
public final class BooleanConvertor implements BasicTypeConvertor {
    static Object getObject(Class<?> targetType, Object value) {
        if (value == null || targetType == null) {
            return null;
        }
        if (targetType.equals(Boolean.class)) {
            return value;
        }
        if (targetType.equals(boolean.class)) {
            return value;
        }

        if (targetType.equals(Byte.class)) {
            Byte data = (Byte) value;
            return data != 0;
        }
        if (targetType.equals(byte.class)) {
            byte data = (byte) value;
            return data != 0;
        }

        if (targetType.equals(Double.class)) {
            Double data = (Double) value;
            return data != 0;
        }
        if (targetType.equals(double.class)) {
            double data = (double) value;
            return data != 0;
        }

        if (targetType.equals(Float.class)) {
            Float data = (Float) value;
            return data != 0;
        }
        if (targetType.equals(float.class)) {
            float data = (float) value;
            return data != 0;
        }

        if (targetType.equals(Integer.class)) {
            Integer data = (Integer) value;
            return data != 0;
        }
        if (targetType.equals(int.class)) {
            int data = (int) value;
            return data != 0;
        }

        if (targetType.equals(Long.class)) {
            Long data = (Long) value;
            return data != 0;
        }
        if (targetType.equals(long.class)) {
            long data = (long) value;
            return data != 0;
        }

        if (targetType.equals(Short.class)) {
            Short data = (Short) value;
            return data != 0;
        }
        if (targetType.equals(short.class)) {
            short data = (short) value;
            return data != 0;
        }

        if (targetType.equals(String.class)) {
            double v = Double.parseDouble((String) value);
            return v != 0;
        }
        throw new IllegalArgumentException("Illegal Argument");
    }

    @Override
    public Object convert(Class<?> targetType, Object value) {
        return getObject(targetType, value);
    }
}
