package org.brynhild.graduation.persistence.user.repository

import org.brynhild.graduation.persistence.common.repository.LogicDeleteRepository
import org.brynhild.graduation.persistence.user.entity.Major
import org.springframework.stereotype.Repository

@Repository
interface MajorRepository extends LogicDeleteRepository<Major> {
    Major findMajorByNameOrCode(String name, String code)
}