package org.brynhild.graduation.timetable.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties(prefix = "cos")
@Data
public class CosConfig {
    private String secretId;
    private String secretKey;
    private String region;
    private String bucketName;
    private String protocol;
    private String redirectPath;
}
