package org.brynhild.graduation.transfer.device.vo;

import lombok.Data;
import org.brynhild.graduation.common.tag.SpecificationGenerated;
import org.brynhild.graduation.common.tag.SpecificationIgnore;
import org.brynhild.graduation.persistence.device.entity.Device;

@Data
@SpecificationGenerated(Device.class)
public class QueryDeviceRequest {
    @SpecificationIgnore
    private Long id;
    private Long owner;
    private Long area;
    private String mac;
    @SpecificationIgnore
    private String lastActive;
    private String name;
    private Boolean active;
}
