package org.brynhild.graduation.transfer.user.vo;

import lombok.Data;
import org.brynhild.graduation.common.tag.Actor;
import org.brynhild.graduation.common.tag.LogGenerated;
import org.brynhild.graduation.persistence.user.entity.Academy;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@LogGenerated(Academy.class)
@Actor
public class AdminAddAcademy {
    @NotBlank
    private String no;
    @NotBlank
    private String name;

    private String avatar;
    @NotNull
    private Long liable;
}
