package org.brynhild.graduation.transfer.user.vo;

import lombok.Data;
import org.brynhild.graduation.common.tag.Actor;
import org.brynhild.graduation.common.tag.LogGenerated;
import org.brynhild.graduation.persistence.user.entity.Major;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@LogGenerated(Major.class)
@Actor
public class AdminAddMajor {
    @NotBlank
    private String name;
    @NotBlank
    private String code;
    @NotNull
    private Long academyId;
}
