package org.brynhild.graduation.transfer.user.vo;

import lombok.Data;
import org.brynhild.graduation.common.tag.LogFieldIgnore;
import org.brynhild.graduation.common.tag.LogGenerated;
import org.brynhild.graduation.persistence.user.entity.Academy;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Positive;
import javax.validation.constraints.PositiveOrZero;

@Data
@LogGenerated(Academy.class)
public class AdminModifyAcademy {
    @LogFieldIgnore
    @Positive
    private Long id;
    @NotBlank
    private String no;
    @NotBlank
    private String name;

    private String avatar;

    @PositiveOrZero
    private Long liable;
}
