package org.brynhild.graduation.trigger.transfer;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

@Data
public class Repository {
    private Long id;
    private Owner owner;
    private String name;
    @JsonProperty("full_name")
    private String fullName;
    private String description;
    @JsonProperty("private")
    private Boolean isPrivate;
    private Boolean fork;
    @JsonProperty("html_url")
    private String htmlURL;
    @JsonProperty("ssh_url")
    private String sshURL;
    @JsonProperty("clone_url")
    private String cloneURL;
    private String website;
    @JsonProperty("starts_count")
    private Long startsCount;
    @JsonProperty("forks_count")
    private Long forksCount;
    @JsonProperty("watchers_count")
    private Long watchersCount;
    @JsonProperty("open_issues_count")
    private Long openIssuesCount;
    @JsonProperty("default_branch")
    private String defaultBranch;
    @JsonProperty("created_at")
    private String createdAt;
    @JsonProperty("updated_at")
    private String updatedAt;

}
