package org.brynhild.graduation.timetable.service

import org.brynhild.graduation.common.transfer.dto.Result
import org.brynhild.graduation.transfer.timetable.vo.AdminAddCourse
import org.brynhild.graduation.transfer.timetable.vo.AdminDeleteCourse
import org.brynhild.graduation.transfer.timetable.vo.AdminModifyCourse
import org.brynhild.graduation.transfer.timetable.vo.QueryCourseRequest

interface ICourseService {

    Result addCourse(AdminAddCourse info, String token)

    Result findCourse(QueryCourseRequest info)

    Result modifyCourse(AdminModifyCourse info, String token)

    Result deleteCourse(AdminDeleteCourse info, String token)
}