package org.brynhild.graduation.timetable.service

import org.brynhild.graduation.common.transfer.dto.Result
import org.brynhild.graduation.transfer.timetable.vo.AdminAddTimeTable
import org.brynhild.graduation.transfer.timetable.vo.AdminDeleteTimeTable
import org.brynhild.graduation.transfer.timetable.vo.AdminModifyTimeTable
import org.brynhild.graduation.transfer.timetable.vo.QueryTimeTableRequest

interface ITimeTableService {

    Result addTimeTable(AdminAddTimeTable info, String token)

    Result findTimeTable(QueryTimeTableRequest info)

    Result modifyTimeTable(AdminModifyTimeTable info, String token)

    Result deleteTimeTable(AdminDeleteTimeTable info, String token)
}