package org.brynhild.graduation.transfer.device.vo;

import lombok.Data;
import org.brynhild.graduation.common.tag.Actor;
import org.brynhild.graduation.common.tag.LogGenerated;
import org.brynhild.graduation.persistence.device.entity.DeviceRelationship;

import javax.validation.constraints.NotNull;

@LogGenerated(DeviceRelationship.class)
@Actor
@Data
public class AdminAddRelationship {
    @NotNull
    private Long master;
    @NotNull
    private Long slave;
}
