package org.brynhild.graduation.transfer.timetable.vo;

import lombok.Data;
import org.brynhild.graduation.common.tag.SpecificationGenerated;
import org.brynhild.graduation.persistence.timetable.entity.Course;

import javax.validation.constraints.Positive;
import javax.validation.constraints.PositiveOrZero;

@Data
@SpecificationGenerated(Course.class)
public class QueryCourseRequest {
    private String name;
    @Positive
    private Double credit;
    @Positive
    private Long department;
    @PositiveOrZero
    private Integer type;
}
