package org.brynhild.graduation.transfer.timetable.vo;

import lombok.Data;
import org.brynhild.graduation.common.tag.SpecificationGenerated;
import org.brynhild.graduation.persistence.timetable.entity.TimeTable;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Positive;
import javax.validation.constraints.PositiveOrZero;

@Data
@SpecificationGenerated(TimeTable.class)
public class QueryTimeTableRequest {
    @Positive
    private Long areaId;
    @PositiveOrZero
    private String index;
    @NotBlank
    private String week;
    @NotBlank
    private String clazz;
    @Positive
    private Long courseId;
    @Positive
    private Integer year;
    @Positive
    private Integer term;
}
