package org.brynhild.graduation.transfer.user.factory

import org.brynhild.graduation.persistence.user.entity.User
import org.brynhild.graduation.transfer.user.vo.RegisterUser

class UserFactory {
    private UserFactory() {}

    static User user(RegisterUser registerUser) {
        User user = new User()
        user.username = registerUser.username
        user.password = registerUser.password
        user.email = registerUser.email
        user.name = registerUser.name
        user.departmentId = null
        user.tel = registerUser.tel
        user.no = registerUser.no
        return user
    }
}
