package org.brynhild.graduation.transfer.user.vo;

import lombok.Data;
import org.brynhild.graduation.common.tag.Actor;
import org.brynhild.graduation.common.tag.LogGenerated;
import org.brynhild.graduation.persistence.user.entity.User;

import javax.validation.constraints.NotBlank;

@Data
@LogGenerated(User.class)
@Actor("管理员")
public class AdminAddUser {
    @NotBlank
    private String username;
    @NotBlank
    private String password;
    @NotBlank
    private String name;
    @NotBlank
    private String sex;
    @NotBlank
    private Long departmentId;
    @NotBlank
    private String no;
}
