package org.brynhild.graduation.transfer.user.vo;

import lombok.Data;

import javax.validation.constraints.Email;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class ResendEmail implements Serializable {
    @NotBlank
    private String username;
    @NotBlank
    @Email
    private String email;
    @NotNull
    private Integer type;
}
