package org.brynhild.graduation.common.parser.convertor;

public sealed interface BasicTypeConvertor permits
        BooleanConvertor, BooleanPrimitiveConvertor,
        ByteConvertor, BytePrimitiveConvertor,
        DoubleConvertor, DoublePrimitiveConvertor,
        FloatConvertor, FloatPrimitiveConvertor,
        IntegerConvertor, IntegerPrimitiveConvertor,
        LongConvertor, LongPrimitiveConvertor,
        ShortConvertor, ShortPrimitiveConvertor,
        StringConvertor {
    Object convert(Class<?> targetType, Object value);
}
