package org.brynhild.graduation.device.service

import org.brynhild.graduation.common.transfer.dto.Result
import org.brynhild.graduation.transfer.device.vo.*

interface IAdminService {

    Result bindDevice(BindDevice bindDevice, String s)

    Result findSignInRecord(QuerySignInRecordRequest request)

    Result findCredential(QueryCredentialRequest request)

    Result findArea(QueryAreaRequest request)

    Result findDevice(QueryDeviceRequest request)

    Result modifyDevice(AdminModifyDevice adminModifyDevice, String s)

    Result modifyArea(AdminModifyArea adminModifyArea, String s)

    Result addCredential(AdminAddCredential info, String token)

    Result addArea(AdminAddArea info, String token)

    Result deleteDevice(AdminDeleteDevice info, String token)

    Result deleteArea(AdminDeleteArea info, String token)

    Result deleteCredential(AdminDeleteCredential info, String token)

    Result addRelationship(AdminAddRelationship info, String token)

    Result findRelationship(QueryRelationshipRequest info)

    Result deleteRelationship(AdminDeleteRelationship info, String token)

    Result enrollFingerPrint(EnrollFingerPrint info, String token)

    Result getClassFingerPrintDataIdList(AdminGetClassFingerPrintDataIdList info, String token)

    Result clearFingerPrintDataAtDevice(AdminClearFingerPrintDataAtDevice info, String token)

    Result pushFingerPrintDataToDevice(AdminPushFingerPrintDataToDevice info, String token)

    Result commitPush(AdminCommitPush info, String token)
}