package org.brynhild.graduation.common.constant;


import java.util.HashSet;
import java.util.Set;

public class TriggerConstant {
    public static final String BUILD_ALL = "buildAll";
    public static final String BUILD_TARGET = "buildTarget";
    public static final String BUILD_RELATIVE = "buildRelative";

    public static final String FINAL_COMMON = "final-common";
    public static final String FINAL_CONFIG = "final-config";
    public static final String FINAL_DEVICE = "final-device";
    public static final String FINAL_EVENT = "final-event";
    public static final String FINAL_FILE_SERVER = "final-fileserver";
    public static final String FINAL_GATEWAY = "final-gateway";
    public static final String FINAL_MOCK_SERVER = "final-mockserver";
    public static final String FINAL_PERSISTENCE = "final-persistence";
    public static final String FINAL_TIMETABLE = "final-timetable";
    public static final String FINAL_TRANSFER = "final-transfer";
    public static final String FINAL_TRIGGER = "final-trigger";
    public static final String FINAL_USER = "final-user";
    public static final String FINAL_BUILDER = "final-builder";


    public static final Set<String> moduleSet = new HashSet<>() {{
        add(FINAL_COMMON);
        add(FINAL_CONFIG);
        add(FINAL_DEVICE);
        add(FINAL_EVENT);
        add(FINAL_FILE_SERVER);
        add(FINAL_GATEWAY);
        add(FINAL_MOCK_SERVER);
        add(FINAL_PERSISTENCE);
        add(FINAL_TIMETABLE);
        add(FINAL_TRANSFER);
        add(FINAL_TRIGGER);
        add(FINAL_USER);
        add(FINAL_BUILDER);
    }};

    public static final Set<String> dockerModuleSet = new HashSet<>() {{
        add(FINAL_CONFIG);
        add(FINAL_DEVICE);
        add(FINAL_EVENT);
        add(FINAL_GATEWAY);
        add(FINAL_MOCK_SERVER);
        add(FINAL_TIMETABLE);
        add(FINAL_USER);
    }};
}
