package org.brynhild.graduation.timetable.service

import org.brynhild.graduation.common.transfer.dto.Result
import org.brynhild.graduation.transfer.timetable.vo.*

interface ITimeTableService {

    Result addTimeTable(AdminAddTimeTable info, String token)

    Result findTimeTable(QueryTimeTableRequest info)

    Result modifyTimeTable(AdminModifyTimeTable info, String token)

    Result deleteTimeTable(AdminDeleteTimeTable info, String token)

    Result queryClassStatistic(AdminQueryClassStatistic info, String token)

    Result queryStudentStatistic(AdminQueryStudentStatistic info, String token)

    Result generateClassStatistic(AdminQueryClassStatistic info, String token)

    Result generateStudentStatistic(AdminQueryStudentStatistic info, String token)

    Result queryTeachingClass(QueryTeachingClassRequest request)

    Result queryTeachingCourseStatistic(QueryTeachingCourseStatisticRequest request)

    Result generateTeachingCourseStatistic(QueryTeachingCourseStatisticRequest request)

    Result deleteTimeTable(AdminDeleteTimeTableByDetail info, String token)
}