package org.brynhild.graduation.transfer.device.vo;

import lombok.Data;
import org.brynhild.graduation.common.tag.Actor;
import org.brynhild.graduation.common.tag.LogGenerated;
import org.brynhild.graduation.persistence.device.entity.Credential;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@LogGenerated(Credential.class)
@Actor("管理员")
public class AdminAddCredential {
    @NotNull
    private Long userId;
    @NotBlank
    private String userCredential;
    @NotNull
    private Long areaId;
    @NotNull
    private Long deviceId;
}
