package org.brynhild.graduation.transfer.device.vo;

import lombok.Data;
import org.brynhild.graduation.common.tag.Actor;
import org.brynhild.graduation.common.tag.LogFieldIgnore;
import org.brynhild.graduation.common.tag.LogGenerated;
import org.brynhild.graduation.persistence.device.entity.Device;

import javax.validation.constraints.NotNull;

@Data
@LogGenerated(Device.class)
@Actor("管理员")
public class AdminModifyDevice {
    @LogFieldIgnore
    @NotNull
    private Long id;

    private Long owner;

    private Long area;

    private String name;

    private Boolean active;

    private String note;

    private String apSsid;
    private String apPassword;
    private String staSsid;
    private String staPassword;

    @LogFieldIgnore
    private Long master;
}
