package org.brynhild.graduation.transfer.timetable.vo;

import lombok.Data;
import org.brynhild.graduation.common.tag.Actor;
import org.brynhild.graduation.common.tag.LogGenerated;
import org.brynhild.graduation.persistence.timetable.entity.TimeTable;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Positive;

@Data
@LogGenerated(TimeTable.class)
@Actor
public class AdminAddTimeTable {
    @Positive
    @NotNull
    private Long areaId;
    @NotBlank
    private Integer index;
    @NotBlank
    private String week;
    private Integer step;
    private Integer day;
    private Long teacher;

    @NotBlank
    private String clazz;
    @Positive
    @NotNull
    private Long courseId;
    @Positive
    @NotNull
    private Integer year;
    @Positive
    @NotNull
    private Integer term;
}
