package org.brynhild.graduation.transfer.timetable.vo;

import lombok.Data;
import org.brynhild.graduation.common.tag.Actor;
import org.brynhild.graduation.common.tag.LogFieldIgnore;
import org.brynhild.graduation.common.tag.LogGenerated;
import org.brynhild.graduation.persistence.timetable.entity.Course;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Positive;
import javax.validation.constraints.PositiveOrZero;

@Data
@LogGenerated(Course.class)
@Actor
public class AdminModifyCourse {
    @Positive
    @NotNull
    @LogFieldIgnore
    private Long id;


    private String name;
    @Positive
    private Double credit;
    @Positive
    private Long department;
    @PositiveOrZero
    private Integer type;
    private String period;
}
