package org.brynhild.graduation.transfer.user.vo;

import lombok.Data;
import org.brynhild.graduation.common.tag.Actor;
import org.brynhild.graduation.common.tag.LogFieldIgnore;
import org.brynhild.graduation.common.tag.LogGenerated;
import org.brynhild.graduation.persistence.user.entity.Class;

import javax.validation.constraints.NotNull;

@Data
@LogGenerated(Class.class)
@Actor
public class AdminModifyClass {
    @NotNull
    @LogFieldIgnore
    private Long id;
    private String no;
    private String name;
    private Long majorId;
}
