package org.brynhild.graduation.transfer.user.vo;

import lombok.Data;
import org.brynhild.graduation.common.tag.Actor;
import org.brynhild.graduation.common.tag.LogFieldIgnore;
import org.brynhild.graduation.common.tag.LogGenerated;
import org.brynhild.graduation.persistence.user.entity.Major;

import javax.validation.constraints.NotNull;

@Data
@LogGenerated(Major.class)
@Actor
public class AdminModifyMajor {
    @NotNull
    @LogFieldIgnore
    private Long id;
    private String name;
    private String code;
}
