package org.brynhild.graduation.transfer.user.vo;

import lombok.Data;
import org.brynhild.graduation.common.tag.LogGenerated;
import org.brynhild.graduation.persistence.user.entity.User;

import javax.validation.constraints.Email;
import javax.validation.constraints.NotBlank;

@Data
@LogGenerated(User.class)
public class RegisterUser {
    @NotBlank
    private String username;
    @NotBlank
    private String password;
    @NotBlank
    @Email
    private String email;
    @NotBlank
    private String name;
    @NotBlank
    private String tel;
    @NotBlank
    private String no;
}
