package org.brynhild.graduation.trigger.controller;

import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;
import lombok.RequiredArgsConstructor;
import org.brynhild.graduation.trigger.resolve.CommandResolver;
import org.brynhild.graduation.trigger.transfer.UpdateMessage;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/main")
@RequiredArgsConstructor
public class MainController {
    private final CommandResolver resolver;

    @PostMapping("/update")
    public void whenRepositoryUpdate(@RequestBody UpdateMessage message, HttpServletRequest request, HttpServletResponse response) {
        System.out.println(message);
        resolver.resolve(message);
    }
}
