package org.brynhild.graduation.trigger.transfer;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.List;

@Data
public class UpdateMessage {
    private String ref;
    private String before;
    private String after;
    @JsonProperty("compare_url")
    private String compareURL;

    private List<Commit> commits;
    private Repository repository;
    private Pusher pusher;
    private Sender sender;
}
