package org.brynhild.graduation.user.service;

import org.brynhild.graduation.common.transfer.dto.Result;
import org.brynhild.graduation.transfer.user.vo.LoginRequest;
import org.brynhild.graduation.transfer.user.vo.RegisterUser;
import org.brynhild.graduation.transfer.user.vo.ResendEmail;
import org.brynhild.graduation.transfer.user.vo.ResetPassword;

public interface IUserService {
    Result register(RegisterUser info);

    Result active(String hash);

    Result resend(ResendEmail info);

    Result login(LoginRequest info);

    Result tokenValid(String token);

    Result reset(ResetPassword info);
}
