package org.brynhild.graduation.transfer.device.vo;

import lombok.Data;
import org.brynhild.graduation.common.tag.Actor;
import org.brynhild.graduation.common.tag.LogFieldIgnore;
import org.brynhild.graduation.common.tag.LogGenerated;
import org.brynhild.graduation.persistence.device.entity.Area;

import javax.validation.constraints.NotNull;

@Data
@LogGenerated(Area.class)
@Actor("管理员")
public class AdminModifyArea {
    @LogFieldIgnore
    @NotNull
    private Long id;
    private Long owner;

    private String name = "新建区域";
    private String note;
}
