package org.brynhild.graduation.transfer.user.vo;

import lombok.Data;
import org.brynhild.graduation.common.tag.Actor;
import org.brynhild.graduation.common.tag.LogGenerated;
import org.brynhild.graduation.persistence.user.entity.Class;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@LogGenerated(Class.class)
@Actor
public class AdminAddClass {
    @NotBlank
    private String no;
    @NotBlank
    private String name;
    @NotNull
    private Long majorId;
    @NotNull
    private Long academyId;
}
