package org.brynhild.graduation.transfer.user.vo;

import lombok.Data;
import org.brynhild.graduation.common.tag.LogFieldIgnore;
import org.brynhild.graduation.common.tag.LogGenerated;
import org.brynhild.graduation.persistence.user.entity.User;

import javax.validation.constraints.Email;
import javax.validation.constraints.PositiveOrZero;

@Data
@LogGenerated(User.class)
public class AdminModifyUser {
    @PositiveOrZero
    @LogFieldIgnore
    private Long id;
    private String password;
    private String avatar;
    @Email
    private String email;
    private Integer state;
    private Integer type;
    private String name;
    private String sex;
    @PositiveOrZero
    private Long departmentId;

    @LogFieldIgnore
    private String departmentNo;
    private String tel;
}
