package org.brynhild.graduation.user.config;


import org.brynhild.graduation.user.interceptor.AccessHandlerInterceptor;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

//@Configuration
public class ApplicationConfig implements WebMvcConfigurer {


    private AccessHandlerInterceptor accessHandlerInterceptor;

    //    @Autowired
    public void setAccessHandlerInterceptor(AccessHandlerInterceptor accessHandlerInterceptor) {
        this.accessHandlerInterceptor = accessHandlerInterceptor;
    }

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry.addInterceptor(accessHandlerInterceptor).addPathPatterns("/**");
    }
}
