package org.brynhild.graduation.user.service;

import org.brynhild.graduation.common.transfer.dto.Result;
import org.brynhild.graduation.transfer.user.vo.*;

public interface IAdminService {
    Result findUser(QueryUserRequest info, String token);

    Result addUser(AdminAddUser info, String token);

    Result modifyUser(AdminModifyUser info, String token);

    Result deleteUser(AdminDeleteUser info, String token);

    Result findAcademy(QueryAcademyRequest info);

    Result addAcademy(AdminAddAcademy info, String token);

    Result modifyAcademy(AdminModifyAcademy info, String token);

    Result deleteAcademy(AdminDeleteAcademy info, String token);

    Result findMajor(QueryMajorRequest info);

    Result addMajor(AdminAddMajor info, String token);

    Result modifyMajor(AdminModifyMajor info, String token);

    Result deleteMajor(AdminDeleteMajor info, String token);

    Result deleteClass(AdminDeleteClass info, String token);

    Result modifyClass(AdminModifyClass info, String token);

    Result addClass(AdminAddClass info, String token);

    Result findClass(QueryClassRequest info);
}
